# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name hlint

Name:           %{pkg_name}
Version:        1.8.50
Release:        3%{?dist}
Summary:        Haskell source code suggestions

License:        GPLv2
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-cpphs-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-hscolour-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-uniplate-devel
# End cabal-rpm deps

%description
HLint gives suggestions on how to improve your source code.


%package -n ghc-%{name}
Summary:        Haskell %{name} library

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       ghc-%{name} = %{version}-%{release}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.


%prep
%setup -q


%build
%ghc_lib_build


%install
%ghc_lib_install

mkdir -p %{buildroot}%{_mandir}/man1
mv %{buildroot}%{_datadir}/%{name}-%{version}/hlint.1 %{buildroot}%{_mandir}/man1


%post -n ghc-%{name}-devel
%ghc_pkg_recache


%postun -n ghc-%{name}-devel
%ghc_pkg_recache


%files
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}-%{version}
%{_mandir}/man1/%{name}*


%files -n ghc-%{name} -f ghc-%{name}.files
%doc LICENSE


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.50-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.50-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 16 2014 Jens Petersen <petersen@redhat.com> - 1.8.50-1
- update to 1.8.50

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.46-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 11 2013 Jens Petersen <petersen@redhat.com> - 1.8.46-2
- update to new simplified Haskell Packaging Guidelines

* Tue Jun 11 2013 Jens Petersen <petersen@redhat.com> - 1.8.46-1
- update to 1.8.46

* Tue Mar 12 2013 Jens Petersen <petersen@redhat.com> - 1.8.43-1
- update to 1.8.43

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 06 2012 Jens Petersen <petersen@redhat.com> - 1.8.33-1
- update to 1.8.33 with cabal-rpm

* Mon Sep 10 2012 Jens Petersen <petersen@redhat.com> - 1.8.31-1
- 1.8.31

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 1.8.30-1
- update to 1.8.30
- change prof BRs to devel

* Thu Jun 21 2012 Jens Petersen <petersen@redhat.com> - 1.8.29-2
- rebuild

* Sat Jun  9 2012 Jens Petersen <petersen@redhat.com> - 1.8.29-1
- update to 1.8.29

* Thu Mar 22 2012 Jens Petersen <petersen@redhat.com> - 1.8.24-1
- update to 1.8.24

* Tue Feb  7 2012 Jens Petersen <petersen@redhat.com> - 1.8.23-1
- update to 1.8.23

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 1.8.20-1
- update to 1.8.20 and cabal2spec-0.25.2

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.8.17-1.1
- rebuild with new gmp without compat lib

* Sat Oct 15 2011 Jens Petersen <petersen@redhat.com> - 1.8.17-1
- update to 1.8.17

* Wed Oct 12 2011 Peter Schiffer <pschiffe@redhat.com> - 1.8.13-1.1
- rebuild with new gmp

* Fri Jul 22 2011 Jens Petersen <petersen@redhat.com> - 1.8.13-1
- update to 1.8.13

* Wed Jun 22 2011 Jens Petersen <petersen@redhat.com> - 1.8.11-1
- update to 1.8.11
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Fri Mar 11 2011 Jens Petersen <petersen@redhat.com> - 1.8.7-1
- update to 1.8.7

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.8.3-6
- Enable build on sparcv9

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 23 2011 Jens Petersen <petersen@redhat.com> - 1.8.3-4
- rebuild

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 1.8.3-3
- update to cabal2spec-0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 1.8.3-2
- rebuild

* Mon Nov 29 2010 Jens Petersen <petersen@redhat.com> - 1.8.3-1
- update to 1.8.3

* Sat Jul 31 2010 Jens Petersen <petersen@redhat.com> - 1.7.3-2
- move manpage to mandir

* Tue Jul 27 2010 Jens Petersen <petersen@redhat.com> - 1.7.3-1
- update to 1.7.3
- update to cabal2spec-0.22.2 and obsolete doc subpackage
- use hscolour

* Sat Jun 26 2010 Jens Petersen <petersen@redhat.com> - 1.7.2-1
- update to 1.7.2
- sync with cabal2spec-0.22

* Mon Feb 15 2010 Conrad Meyer <konrad@tylerc.org> - 1.6.20-1
- Bump to 1.6.20
- Remove LicenseClarification

* Sun Jan 10 2010 Conrad Meyer <konrad@tylerc.org> - 1.6.14-1
- Bump to 1.6.14

* Sat Nov 14 2009 Conrad Meyer <konrad@tylerc.org> - 1.6.12-1
- Bump to 1.6.12
- Fix dep to ghc-cpphs-devel

* Sun Nov 8 2009 Conrad Meyer <konrad@tylerc.org> - 1.6.11-2
- Add license clarification from author (changed license back to GPLv2).

* Thu Oct 29 2009 Conrad Meyer <konrad@tylerc.org> - 1.6.11-1
- Bump version.

* Fri Sep 11 2009 Conrad Meyer <konrad@tylerc.org> - 1.6.8-1
- Bump version.

* Fri Jul 17 2009 Conrad Meyer <konrad@tylerc.org> - 1.4-1
- Fixed BR on ghc-hscolour (to ghc-hscolour-devel).
- Version bumped.
- Add missing BR on ghc-rpm-macros.

* Mon Jan 12 2009 Conrad Meyer <konrad@tylerc.org> - 1.2-1
- initial packaging for Fedora created by cabal2spec
